import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  vendorName: z.string(),
  websiteUrl: z.string(),
  loginUsername: z.string(),
  loginPassword: z.string()
}).strict();
export const ShoppingVendorUncheckedCreateWithoutUserInputObjectSchema: z.ZodType<Prisma.ShoppingVendorUncheckedCreateWithoutUserInput> = makeSchema() as unknown as z.ZodType<Prisma.ShoppingVendorUncheckedCreateWithoutUserInput>;
export const ShoppingVendorUncheckedCreateWithoutUserInputObjectZodSchema = makeSchema();
